#
# spec file for package yast2-rdp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-rdp
Version:        3.1.3
Release:        1.1
Summary:        Setup Remote Desktop Protocol service for remote administration
License:        GPL-2.0
Group:          System/YaST
Url:            https://www.suse.com
Source0:        %{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools
BuildRequires:  yast2-network
BuildRequires:  yast2-testsuite
Requires:       yast2
Requires:       yast2-ruby-bindings

%description
Configure RDP (remote desktop protocol) daemon to allow remote system administration.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/rdp
%{yast_yncludedir}/rdp/*
%{yast_clientdir}/rdp.rb
%{yast_clientdir}/rdp_*.rb
%{yast_moduledir}/RDP.*
%{yast_desktopdir}/rdp.desktop
%doc %{yast_docdir}

%changelog
* Thu Aug  4 2016 hguo@suse.com
- Remove unnecessary files from source archive and fix build errors.
- Fix firewall setup and rdp service activation for an installed
  system. (bsc#988353 bsc#991238 bsc#988200)
- Other tidy-ups around spec file and source code.
* Wed Jul 13 2016 varkoly@suse.com
- FATE#320363 Install and enable xrdp by default
  When using the rdp proposal activate is the default.
* Tue Jun 21 2016 varkoly@suse.com
- FATE#320363 Install and enable xrdp by default
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Thu Mar  8 2012 tiwai@suse.com
- Fixed module behavior when installation of requested packages
  fails (bnc #744100)
- 2.17.2
* Mon Jan 18 2010 mzugec@suse.cz
- fixed rdp.desktop file (Categories)
- 2.17.1
* Mon Jan 26 2009 dreveman@novell.com
- initial version
